=== python/pyarmnn/scripts/requirements.txt ===
requests==2.23.0
pdoc3==0.6.3
pyarmnn>=19.8.0
