=== debian/changelog ===
armnn (20.08-10build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 14 Jan 2022 14:01:02 +0000

armnn (20.08-10) unstable; urgency=medium

  * Build with gcc-11 (Closes: #983969)

 -- Wookey <wookey@debian.org>  Mon, 25 Oct 2021 23:56:13 +0100

armnn (20.08-9) unstable; urgency=medium

  * Enable ppc64el builds

 -- Wookey <wookey@debian.org>  Fri, 08 Jan 2021 17:22:37 +0000

armnn (20.08-8) unstable; urgency=medium

  * Ensure autopkgtests pass
  * Profiling Tests fixed on mips and mips64el

 -- Wookey <wookey@debian.org>  Thu, 07 Jan 2021 12:59:25 +0000

armnn (20.08-7) unstable; urgency=medium

  * Add missing autopkgtest dependency

 -- Wookey <wookey@debian.org>  Thu, 07 Jan 2021 01:34:31 +0000

armnn (20.08-6) unstable; urgency=medium

  * Fix typos in architecture list

 -- Wookey <wookey@debian.org>  Wed, 06 Jan 2021 15:41:07 +0000

armnn (20.08-5) unstable; urgency=medium

  * Exclude armel

 -- Wookey <wookey@debian.org>  Wed, 06 Jan 2021 14:31:49 +0000

armnn (20.08-4) unstable; urgency=medium

  * Fix autopackage tests
  * All arches built

 -- Wookey <wookey@debian.org>  Wed, 06 Jan 2021 13:44:35 +0000

armnn (20.08-3) unstable; urgency=medium

  * SendCounterPacketTests disabled on BE arches
  * Add basic autopkgtest

 -- Wookey <wookey@debian.org>  Tue, 05 Jan 2021 11:48:30 +0000

armnn (20.08-2) unstable; urgency=medium

  * Restrict to working architectures
  * Correct architecture-specific dependencies 

 -- Wookey <wookey@debian.org>  Mon, 28 Dec 2020 03:05:21 +0000

armnn (20.08-1) unstable; urgency=medium

  [ Francis Murtagh ]
  * New upstream release (Closes: #973999)

  [ Helmut Grohne ]
  * Don't run tests when crossbuilding (Closes: #965274)

 -- Wookey <wookey@debian.org>  Wed, 23 Dec 2020 18:21:50 +0000
