=== debian/tests/control ===
Tests: build
Depends: g++, libarmnn-dev
